Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::CellRendererPixbuf Class Reference

A GtkCellRendererPixbuf C++ wrapper class. More...

`#include <inti/gtk/cellrenderer.h>`

Inheritance diagram for Inti::Gtk::CellRendererPixbuf:

List of all members.

## Public Member Functions

Constructors

- CellRendererPixbuf ()
    Construct a new CellRendererPixbuf.
- virtual ~CellRendererPixbuf ()
    Destructor.

Accessors

- GtkCellRendererPixbuf * gtk_cell_renderer_pixbuf () const
    Get a pointer to the GtkCellRendererPixbuf structure.
- GtkCellRendererPixbufClass * gtk_cell_renderer_pixbuf_class () const
    Get a pointer to the GtkCellRendererPixbufClass structure.
- operator GtkCellRendererPixbuf * () const
    Conversion operator; safely converts a CellRendererPixbuf to a GtkCellRendererPixbuf pointer.

Property Proxies

- const PixbufPropertyProxy prop_pixbuf ()
    The pixbuf to render (Gdk::Pixbuf* : Read / Write).
- const PixbufExpanderOpenPropertyProxy prop_pixbuf_expander_open ()
    Pixbuf for open expander (Gdk::Pixbuf* : Read / Write).
- const PixbufExpanderClosedPropertyProxy prop_pixbuf_expander_closed ()
    Pixbuf for closed expander (Gdk::Pixbuf* : Read / Write).
- const StockIdPropertyProxy prop_stock_id ()
    The stock ID of the stock icon to render (String : Read / Write).
- const StockSizePropertyProxy prop_stock_size ()
    The size of the rendered icon (IconSize : Read / Write).
- const StockDetailPropertyProxy prop_stock_detail ()
    The render detail to pass to the theme engine (String : Read / Write).

## Protected Member Functions

Constructors

- CellRendererPixbuf (GtkCellRendererPixbuf *cell, bool reference=false)
    Construct a new CellRendererPixbuf from an existing GtkCellRendererPixbuf.

## Detailed Description

A GtkCellRendererPixbuf C++ wrapper class.

## Constructor & Destructor Documentation

Inti::Gtk::CellRendererPixbuf::CellRendererPixbuf | ( | GtkCellRendererPixbuf * | cell,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new CellRendererPixbuf from an existing GtkCellRendererPixbuf. Parameters:
  cell | A pointer to a GtkCellRendererPixbuf.
  reference | Set false if the initial reference count is floating, set true if it's not.
The cell can be a newly created GtkCellRendererPixbuf or an existing GtkCellRendererPixbuf. (see G::Object::Object).

Inti::Gtk::CellRendererPixbuf::CellRendererPixbuf | ( |  | ) |

| Construct a new CellRendererPixbuf. Adjust rendering parameters using object properties. Also, with TreeViewColumn, you can bind a property to a value in a TreeModel. For example, you can bind the "pixbuf" property on the cell renderer to a pixbuf value in the model, thus rendering a different image in each row of the TreeView.

The documentation for this class was generated from the following file:

- cellrenderer.h

Main Page - Footer